import JSBI from 'jsbi';
import { Token } from './entities/token';
export declare type BigintIsh = JSBI | number | string;
export declare enum ChainId {
    ROPSTEN = 3,
    GOERLI = 5,
    MATIC_TESTNET = 80001
}
export declare enum TradeType {
    EXACT_INPUT = 0,
    EXACT_OUTPUT = 1
}
export declare enum Rounding {
    ROUND_DOWN = 0,
    ROUND_HALF_UP = 1,
    ROUND_UP = 2
}
export declare const FACTORY_ADDRESS = "0xcA143Ce32Fe78f1f7019d7d551a6402fC5350c73";
export declare const FACTORY_ADDRESS_MAP: Record<number, string>;
export declare const INIT_CODE_HASH = "0x00fb7f630766e6a796048ea87d01acd3068e8ff67d078148a3fa3f4a84f69bd5";
export declare const INIT_CODE_HASH_MAP: Record<number, string>;
export declare const MINIMUM_LIQUIDITY: JSBI;
export declare const ZERO: JSBI;
export declare const ONE: JSBI;
export declare const TWO: JSBI;
export declare const THREE: JSBI;
export declare const FIVE: JSBI;
export declare const TEN: JSBI;
export declare const _100: JSBI;
export declare const _9975: JSBI;
export declare const _10000: JSBI;
export declare const MaxUint256: JSBI;
export declare enum SolidityType {
    uint8 = "uint8",
    uint256 = "uint256"
}
export declare const SOLIDITY_TYPE_MAXIMA: {
    uint8: JSBI;
    uint256: JSBI;
};
export declare const WBNB: {
    3: Token;
    5: Token;
    80001: Token;
};
export declare const WNATIVE: Record<number, Token>;
export declare const NATIVE: Record<number, {
    name: string;
    symbol: string;
    decimals: number;
}>;
